import { __assign } from "tslib";
import React, { useContext } from 'react';
import { Alert, IconButton, Snackbar } from '@mui/material';
import CloseIcon from '@mui/icons-material/Close';
import { ToastContext, ToastProvider } from '../toast-context';
var MUISimpleToast = function (props) {
    var _a = useContext(ToastContext), toast = _a.toast, setToast = _a.setToast;
    var onToastClose = function () {
        return setToast({
            show: false,
            type: 'info',
            message: ''
        });
    };
    var SNACKBAR_CONFIG = {
        anchorOrigin: { vertical: 'bottom', horizontal: 'right' },
        duration: 5000,
        variant: 'filled'
    };
    return (React.createElement(ToastProvider, null,
        React.createElement(Snackbar, __assign({ open: toast === null || toast === void 0 ? void 0 : toast.show, autoHideDuration: (props === null || props === void 0 ? void 0 : props.duration) || SNACKBAR_CONFIG.duration, onClose: onToastClose, anchorOrigin: SNACKBAR_CONFIG.anchorOrigin }, props),
            React.createElement(Alert, { action: React.createElement(IconButton, { size: 'small', color: 'inherit', "aria-label": 'close', onClick: onToastClose },
                    React.createElement(CloseIcon, { fontSize: 'inherit' })), variant: (props === null || props === void 0 ? void 0 : props.variant) || SNACKBAR_CONFIG.variant }, (toast === null || toast === void 0 ? void 0 : toast.message) || ''))));
};
export default MUISimpleToast;
//# sourceMappingURL=index.js.map